/////////////////////////////////////////////////
//
// Javascript code for the "Take Note" gadget
//
// Copyright 2006 Corey Welsh
//
// Some code from www.geekpedia.com
//
/////////////////////////////////////////////////

/////////////////////////////////////////////////
//
// Copy the content to the clipboard
//
/////////////////////////////////////////////////
function CopyTextbox()
	{
		//
		// Use "Copy" Javascript function to copy text
		//
		holdtext.innerText = copytext.innerText;
		Copied = holdtext.createTextRange();
		Copied.execCommand("RemoveFormat");
		Copied.execCommand("Copy");
		
		//
		// Bring the textbox to focus
		//
		copytext.focus();
	}

/////////////////////////////////////////////////
//
// Paste text from the clipboard into textbox
//
/////////////////////////////////////////////////
function PasteTextbox()
	{
		//
		// Use "Paste" Javascript function to paste text
		//
		Pasted = copytext.createTextRange();
		Pasted.execCommand("Paste");
		
		//
		// Bring the textbox to focus
		//
		copytext.focus();
	}
	
/////////////////////////////////////////////////
//
// Copy text to the clipboard and clear the textbox
//
/////////////////////////////////////////////////
function CutTextbox()
	{
		//
		// First, copy the text to the clipboard
		//
		holdtext.innerText = copytext.innerText;
		Copied = holdtext.createTextRange();
		Copied.execCommand("RemoveFormat");
		Copied.execCommand("Copy");
				
		//
		// Now, clear eveything in the textbox
		// This also brings focus to the textbox,
		// so we dont have to worry about it
		//
		ClearTextbox();
}

/////////////////////////////////////////////////
//
// Clear the text from the textbox
//
/////////////////////////////////////////////////
function ClearTextbox()
	{
		//
		// Simpily give the textbox a value of nothing
		//
		takenotetextbox.value = '';
		
		//
		// Bring the textbox to focus
		//
		copytext.focus();
	}

/////////////////////////////////////////////////
//
// Close the gadget using the Gadget OM
//
/////////////////////////////////////////////////
function CloseGadget()
	{
		//
		// Uses the Gadget function "Close" to 
		// terminate the gadget
		//
		Gadget.close()
	}

/////////////////////////////////////////////////
//
// If it would work, it would save the textbox
// contents into a .txt file
//
/////////////////////////////////////////////////
function SaveFile()
	{
	 	//
		// Code to open a save file dialog
		//
		takenotetextbox.value = gadget.Shell.saveFileDialog('C:\Users\Corey\Desktop', '*.txt')
	}

/////////////////////////////////////////////////
//
// Find out gadget state
//
/////////////////////////////////////////////////
function CheckGadgetState()
{
    if(System.Gadget.docked) 
    {
		
	} 
    else if (!System.Gadget.docked)
    {
		
	}
}
